<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut == true  and $ya['level'] > 1) {
switch($do) {
////////////////////////////////////
//		  Список Юзеров			 //
///////////////////////////////////
case 'users':
if ($ya['level'] > 3) {
switch($mode) {
case 'anketa':
$sql = $db -> query("SELECT * FROM `users` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$user = $sql -> fetch_assoc();
$diz -> head('Анкета');
$diz -> title('Изменяем данные');

if ($ya['level'] > $user['level'] or $ya['id']==1) {
    
$msg = '<div class="fon">Ник: '.$user['login'].'</div>';
if (empty($_POST['level']) || empty($_POST['login']) || empty($_POST['pass'])) {

if ($ya['level'] == 4) {
$array = array('1' => 'Пользователь', '2' => 'V.I.P', '3' => 'Модер');
$stat = null;
foreach ($array as $key => $value) {
if ($user['level'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';

}}elseif ($ya['level'] == 5) {
$array = array('1' => 'Пользователь', '2' => 'V.I.P', '3' => 'Модер', '4' => 'Ст. Модер');
$stat = null;
foreach ($array as $key => $value) {
if ($user['level'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';

}}elseif ($ya['level'] == 6) {
$array = array('1' => 'Пользователь', '2' => 'V.I.P', '3' => 'Модер', '4' => 'Ст. Модер', '5' => 'Админ');
$stat = null;
foreach ($array as $key => $value) {
if ($user['level'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';
}}
elseif ($ya['level'] == 7) {
$array = array('1' => 'Пользователь', '2' => 'V.I.P', '3' => 'Модер', '4' => 'Ст. Модер', '5' => 'Админ', '6' => 'Ст. Админ', '7' => 'Создатель сайта');
$stat = null;
foreach ($array as $key => $value) {
if ($user['level'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';
}}
$msg .= '<div class="fon">ID: '.$user['id'].'<hr/>
<form action="./?do=users&amp;mode=anketa&amp;id='.$id.'" method="post"><div>
Логин:<br/><input type="text" name="login" value="'.$user['login'].'" maxlength="12"/></br>
Баллов:<br/><input type="text" name="balls" value="'.$user['balls'].'" maxlength="9"/></br>';
if ($ya['level'] > 4) {
$msg .= 'Пароль:<br/><input type="text" name="pass" value="'.$user['passnow'].'" maxlength="12"/></br>';
}
$msg .= 'Должность:</br><select name="level">'.$stat.'</select>
<br/><input type="submit" value="Изменить"/></form></div>';
} else if($user['passnow']==$_POST['pass'] and $user['level']==$_POST['level'] and $user['balls']==$_POST['balls']){
$login = $db->real_escape_string(shit($_POST['login']));
$sql = $db -> query("SELECT * FROM `users` WHERE `login` = '".$login."'");
if ($sql -> num_rows > 0) {
$msg .= '<div class="fon">Ник занят!</div>';
}
else{
$login = $db->real_escape_string(shit($_POST['login']));
$db -> query("UPDATE `users` SET `login` = '".$login."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Ник пользователя успешно изменён!</div>';
}
}else{
$level = (!empty($_POST['level'])) ? abs(intval(htmlentities($db -> real_escape_string($_POST['level'])))) : null;
$b = (!empty($_POST['balls'])) ? abs(intval(htmlentities($db -> real_escape_string($_POST['balls'])))) : null;
$login = $db->real_escape_string(shit($_POST['login']));
$p = htmlentities($_POST['pass'],ENT_QUOTES,'UTF-8');
$pass = htmlentities(md5(md5($_POST['pass'])),ENT_QUOTES,'UTF-8');
$db -> query("UPDATE `users` SET `level` = '".$level."',`login` = '".$login."',`balls`='".$b."',`pass` = '".$pass."',`passnow` = '".$p."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
} else {$msg .= '<div class="fon">Нельзя менять и просматривать инфо тех,кто старше тебя по должности!</div>';}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ./?do=users');
break;
default:
$diz -> head('Список юзеров');
$count = $db -> dbcount('COUNT(`id`)','users');
$diz -> title('Список пользователей');
$msg = '<div class="fon">Всего пользователей - '.$count.'</div>';
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$sql = $db -> query("SELECT `id`,`login`,`time` FROM `users` ORDER BY `id` LIMIT ".$start.",".$num);
while ($users = $sql -> fetch_assoc()) {
$msg .= '<div class="post"><a href="./?do=users&amp;mode=anketa&amp;id='.$users['id'].'">id'.$users['id'].') '.$users['login'].'</a>
 - '.$func -> times(date('d m Y',$users['time'])).' | <a href="../my/id'.$users['id'].'">[Анкета]</a></div>';
}
$act = 'index.php?do=users';
$msg .= $func -> pagenav($act,$page,$total);
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
//Регистрация
case 'reg':
if ($ya['level'] > 4) {
$regi = $db -> query("SELECT * FROM `nastroiki`");
$status = $regi -> fetch_assoc();
$diz -> head('Регистрация');
$diz -> title('Регистрация');
if (empty($_POST['rega'])) {
$array = array('1' => 'Закрытая', '2' => 'Открытая', '3' => 'По одобрению');
$stat = null;
foreach ($array as $key => $value) {
if ($status['rega'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';
}
$array1 = array('0' => 'Включена', '1' => 'Выключена');
$stat1 = null;
foreach ($array1 as $key1 => $value1) {
if ($nastr['capcha'] == $key1) $stat1 .= '<option selected value="'.$key1.'">'.$value1.'</option>';
else $stat1 .= '<option value="'.$key1.'">'.$value1.'</option>';
}
$msg .= '<div class="fon"><form action="./?do=reg" method="post"><div>
Выберите тип:</br><select name="rega">'.$stat.'</select></br>
Капча:</br><select name="cap">'.$stat1.'</select></br>
Бонус при регистрации(баллов):<br/><input type="text" name="balls" value="'.$nastr['bonus'].'" maxlength="9"/>
<br/><input type="submit" value="Изменить"/>
</form></div>';
} else {
$rega = (!empty($_POST['rega'])) ? abs(intval(htmlentities($db -> real_escape_string($_POST['rega'])))) : null;
$b = (!empty($_POST['balls'])) ? abs(intval(htmlentities($db -> real_escape_string($_POST['balls'])))) : null;
$c = (!empty($_POST['cap'])) ? abs(intval(htmlentities($db -> real_escape_string($_POST['cap'])))) : null;
$db -> query("UPDATE `nastroiki` SET `rega` = '".$rega."',`bonus` = '".$b."',`capcha` = '".$c."'");
$msg .= 'Изменения приняты!';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else header('location: index.php');
break;
//Рассылки
case 'rass':
if ($ya['level'] > 6) {
$diz -> head('Рассылки');
$diz -> title('Рассылки');
if (empty($_POST['tip']) || empty($_POST['text'])) {
$array = array('1' => 'По привату', '2' => 'По email');
$stat = null;
foreach ($array as $key => $value) {
$stat .= '<option value="'.$key.'">'.$value.'</option>';
}
$msg .= '<div class="fon"><form action="./?do=rass" method="post"><div>
Выберите тип:</br><select name="tip">'.$stat.'</select></br>
<textarea name="text" rows="3" cols="25"></textarea>
<br/><input type="submit" value="Начать рассылку!"/>
</form></div>';
} else {
$tip = intval(abs(int($_POST['tip'])));
$text = shit($_POST['text']);
$count=0;
if($tip=='1'){
$us = $db -> query("SELECT * FROM `users` where `id`<>'$ya[id]' and `id`<>'2'");
while ($user = $us -> fetch_assoc()) {
$count++;
$db -> query("INSERT INTO `mail` (`fid`,`oid`,`title`,`text`,`time`) VALUES ('$user[id]','$ya[id]','Рассылка от $ya[login]','$text','".time()."')");
}
}elseif($tip=='2'){
$us = $db -> query("SELECT * FROM `users` where `id`<>'$ya[id]' and `id`<>'2' and `email`<>''");
while ($user = $us -> fetch_assoc()) {
$count++;
$my_mail=$ya['email'];
$tema = 'Рассылка от '.$ya['login']; 
$textx = '<strong>'.$user['login'].'</strong>,Здравствуйте!<br />
Вас приветствует рассылочный бот!<br />
Вам прислано сообщение с нашего сайта!<br />
<b>'.$text.'</b><br />
<br/>---------------------------------<br/>
Данное сообщение создано автоматически(программно) с сайта '.$_SERVER['SERVER_NAME'].',
<br/ >ответа на него не требуется!'; 
$header.="From: \"".$my_mail."\" <".$my_mail.">\n"; 
$header.="Subject: ".$tema."\n"; 
$header.="Content-type: text/html; charset=\"utf-8\"\n"; 
mail($user['email'],$tema,$textx,$header); 
}
}
$msg .= '<div class="fon">Рассылка успешно выполнена!<br/>Отправлено рассылок: '.$count.'</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else header('location: index.php');
break;
///////////////////////////
//     новости
//////////////////////////
case 'news':
if($nastr['newfo']!=0){
if ((int)$ya['level'] > 4) {
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Добавляем новость');
$diz -> title('Добавляем новость');
$msg = '<div class="fon"><form action="index.php?do=news" method="post"><div>
Заголовок новости:<br/><input type="text" name="name" maxlength="40"/><br/>
Содержание:<br/><input type="text" name="text" maxlength="600"/><br/>
Тип обсуждения:<br/>
<select name="onf"><option value="0">Не обсуждать</option><option value="1">Тема на форуме</option><option value="2">Комментарии</option></select><br/>
<input type="submit" value="Добавить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']); 
$text = shit($_POST['text']); 
$onf = (!empty($_POST['onf'])) ? abs(intval((int)$_POST['onf'])) : null;
if($_POST['onf'] == '1'){
$db -> query("INSERT INTO `forum_tems` SET `razdel` = '".$nastr['newfo']."', `name` = '".$name."', `user` = '".$ya['id']."',`uptime` = '".time()."',`time` = '".time()."'");
$fid = $db -> insert_id;
$db -> query("INSERT INTO `forum_posts` SET `tema` = '".$fid."', `user` = '".$ya['id']."',`razdel` = '".$nastr['newfo']."', `text` = '".$text."',`ip` = '".$ip."', `browser` = '".$browser."',`time` = '".time()."'");
}
$db -> query("INSERT INTO `news` SET `name` = '".$name."',`temaonf` = '".$fid."', `onf` = '".$onf."',`new` = '".$text."',`user` = '".$ya['id']."', `time` = '".$time."'");
$diz -> head('Публикуем новость');
$diz -> title('публикуем новость');
$msg = '<div class="fon">Новость опубликована!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
}else{
$diz -> head('Ошибка!');
$diz -> title('Ошибка!');
$msg = '<div class="fon">Произошла ошибка!Заполните в настройках сайта форум обсуждения!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);   
}
break;
///////////////////////////
//     система
//////////////////////////
case 'sys':
if ($ya['level'] == 7) {
if (empty($_POST['site']) || empty($_POST['title']) || empty($_POST['time'])) {
$diz -> head('Информация о системе');
$diz -> title('Информация о системе');
include_once'./sys.php';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
////////Настройки
case 'nastroiki':
if ($ya['level'] == 7) {
$diz -> head('Админка');
$diz -> title('Настройки сайта');

$array2 = array('left' => 'Слева', 'center' => 'По центру');
$stat2 = null;
foreach ($array2 as $key2 => $value2) {
if ($nastr['poz'] == $key2) $kop .= '<option selected value="'.$key2.'">'.$value2.'</option>';
else $kop .= '<option value="'.$key2.'">'.$value2.'</option>';}

$array = array('on' => 'Включен', 'off' => 'Выключен');
$stat = null;
foreach ($array as $key => $value) {
if ($nastr['siteopen'] == $key) $pereriv .= '<option selected value="'.$key.'">'.$value.'</option>';
else $pereriv .= '<option value="'.$key.'">'.$value.'</option>';}

$array3 = array('yes' => 'Доступен гостям', 'no' => 'Не доступен гостям');
$stat3 = null;
foreach ($array3 as $key3 => $value3) {
if ($nastr['guestonli'] == $key3) $onl .= '<option selected value="'.$key3.'">'.$value3.'</option>';
else $onl .= '<option value="'.$key3.'">'.$value3.'</option>';}

$array4 = array('0' => 'Доступен', '1' => 'Не доступен');
$stat4 = null;
foreach ($array4 as $key4 => $value4) {
if ($nastr['foprosm'] == $key4) $fpr .= '<option selected value="'.$key4.'">'.$value4.'</option>';
else $fpr .= '<option value="'.$key4.'">'.$value4.'</option>';}

$for = $db -> query("SELECT `id`,`name` FROM `forum_razdel`");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}

$array5 = array('Europe/Moscow' => 'Москва', 'Europe/Kiev' => 'Киев','Europe/Berlin' => 'Берлин',
'Europe/Prague' => 'Прага','Europe/Riga' => 'Рига','Europe/Simferopol' => 'Симферополь',
'Europe/Zaporozhye' => 'Запорожье','Europe/Brussels' => 'Брюсель','Europe/Istanbul' => 'Стамбул',
'Europe/Ljubljana' => 'Любляна','Europe/Oslo' => 'Осло','Europe/Rome' => 'Рим',
'Europe/Zurich' => 'Цюрих','Europe/Bucharest' => 'Бухарест','Europe/London' => 'Лондон'
,'Europe/Minsk' => 'Минск','Europe/Paris' => 'Париж','Europe/Samara' => 'Самара'
,'Europe/Volgograd' => 'Волгоград','Europe/Belgrade' => 'Белград','Europe/Budapest' => 'Будапешт'
,'Europe/Kaliningrad' => 'Калининград','Europe/Luxembourg' => 'Люксембург','Europe/Monaco' => 'Монако',
'Europe/Stockholm' => 'Стокгольм','Europe/Warsaw' => 'Варшава');
$stat5= null;
foreach ($array5 as $key5 => $value5) {
if ($nastr['timezone'] == $key5) $time .= '<option selected value="'.$key5.'">'.$value5.'</option>';
else $time .= '<option value="'.$key5.'">'.$value5.'</option>';}

$array6 = array('1' => 'Разрешена', '0' => 'Запрещена');
$stat6 = null;
foreach ($array6 as $key6 => $value6) {
if ($nastr['reklama'] == $key6) $reklama .= '<option selected value="'.$key6.'">'.$value6.'</option>';
else $reklama .= '<option value="'.$key6.'">'.$value6.'</option>';}

if (!isset($_POST['submit'])) {
$msg .= '<div class="fon"><form action="./?do=nastroiki" method="post"><div>
Заголовок сайта:<br/><input type="text" name="title" value="'.$nastr['title'].'" maxlength="40"/><br/>
Копирайт (BB-code):<br/><input type="text" name="kopy" value="'.$nastr['kopy'].'" maxlength="40"/><br/>
Положение копирайта:<br/><select name="poz">'.$kop.'</select></br>
Временная зона:<br/><select name="time">'.$time.'</select></br>
Форум для гостей:<br/><select name="fpr">'.$fpr.'</select></br>
Открытая реклама:<br/><select name="reklama">'.$reklama.'</select></br>
Технический перерыв (Сайт будет доступен только создателям):<br/><select name="tex">'.$pereriv.'</select><br/>
Режим просмотра:<br/><select name="onl">'.$onl.'</select><br/>';
$sqf = $db -> query("SELECT `id` FROM `forum_razdel`");
if ($sqf -> num_rows > 0) {
$msg .='Форум обсуждения:<br/>
<select name="fo">'.$opt.'</select><br/>';
}else{
$msg.='Форум обсуждения:<br/><b>Разделы форума не созданы!</b></br>';
}
$msg.='<input type="submit" name="submit" value="Изменить"/></form></div>';
}else{
$title = shit($_POST['title']);
$kopy = shit($_POST['kopy']);
$poz = shit($_POST['poz']);
$onl = shit($_POST['onl']);
$tex = shit($_POST['tex']);
$style = shit($_POST['style']);
$time = shit($_POST['time']);
$fo = abs(intval(htmlentities($db -> real_escape_string($_POST['fo']))));
$f = abs(intval(htmlentities($db -> real_escape_string($_POST['fpr']))));
$reklama = abs(intval(htmlentities($db -> real_escape_string($_POST['reklama']))));
$db -> query("UPDATE `nastroiki` SET `title` = '".$title."',`newfo`='".$fo."',`foprosm`='".$f."',`reklama`='$reklama',`timezone`='".$time."',`siteopen`='".$tex."',`guestonli`='".$onl."', `kopy` = '".$kopy."', `poz` = '".$poz."'");
$diz -> head('Изменяем настройки');
$msg = '<div class="fon">Настройки изменены!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else header('location: index.php');
break;
////////Балловая система
case 'balls':
if ($ya['level'] > 5) {
$diz -> head('Админка');
$diz -> title('Балловая система');
if (!isset($_POST['submit'])) {
$msg .= '<div class="fon"><form action="./?do=balls" method="post"><div>
Баллы за пост на форуме:<br/><input type="text" name="bf" value="'.$nastr['bforum'].'" maxlength="12"/><br/>
Баллы за пост в чате:<br/><input type="text" name="bc" value="'.$nastr['bchat'].'" maxlength="12"/><br/>
Баллы за пост в гостевой:<br/><input type="text" name="bs" value="'.$nastr['bstena'].'" maxlength="12"/><br/>
Баллы за новую статью:<br/><input type="text" name="bb" value="'.$nastr['bblogs'].'" maxlength="12"/><br/>
Баллы за ответы в викторинах:<br/><input type="text" name="ym" value="'.$nastr['ym'].'" maxlength="12"/><br/>
Баллы за комментарий:<br/><input type="text" name="bcom" value="'.$nastr['bcoms'].'" maxlength="12"/><br/>
<input type="submit" name="submit" value="Сохранить"/></form></div>';
}else{
$bf = abs(intval(htmlentities($db -> real_escape_string($_POST['bf']))));
$bc = abs(intval(htmlentities($db -> real_escape_string($_POST['bc']))));
$bs = abs(intval(htmlentities($db -> real_escape_string($_POST['bs']))));
$ym = abs(intval(htmlentities($db -> real_escape_string($_POST['ym']))));
$bb = abs(intval(htmlentities($db -> real_escape_string($_POST['bb']))));
$bcom = abs(intval(htmlentities($db -> real_escape_string($_POST['bcom']))));
$db -> query("UPDATE `nastroiki` SET `bforum` = '".$bf."',`bchat`='".$bc."',`bstena`='".$bs."',`ym`='".$ym."',`bblogs`='".$bb."', `bcoms` = '".$bcom."'");
$diz -> head('Изменяем настройки');
$msg = '<div class="fon">Настройки балловой системы изменены!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else header('location: index.php');
break;
////////Система ограничений
case 'ogr':
if ($ya['level'] > 5) {
$diz -> head('Админка');
$diz -> title('Система ограничений');
if (!isset($_POST['submit'])) {
$msg .= '<div class="fon"><form action="./?do=ogr" method="post"><div>
На комментарии (баллов):<br/><input type="text" name="obcom" value="'.$nastr['obcom'].'" maxlength="40"/><br/>
На установку фото/аватара (баллов):<br/><input type="text" name="oimg" value="'.$nastr['oimg'].'" maxlength="40"/><br/>
На загрузку файлов (баллов):<br/><input type="text" name="zc" value="'.$nastr['zc'].'" maxlength="40"/><br/>
На добавление статей (баллов):<br/><input type="text" name="ostat" value="'.$nastr['ostat'].'" maxlength="40"/><br/>
На общение по привату (баллов):<br/><input type="text" name="osms" value="'.$nastr['osms'].'" maxlength="40"/><br/>
На доступ к сервисам (баллов):<br/><input type="text" name="oservic" value="'.$nastr['oservic'].'" maxlength="40"/><br/>
На доступ к развлечениям (баллов):<br/><input type="text" name="ogame" value="'.$nastr['ogame'].'" maxlength="40"/><br/>
<input type="submit" name="submit" value="Сохранить"/></form></div>';
}else{
$obcom = abs(intval(htmlentities($db -> real_escape_string($_POST['obcom']))));
$oimg = abs(intval(htmlentities($db -> real_escape_string($_POST['oimg']))));
$ostat = abs(intval(htmlentities($db -> real_escape_string($_POST['osms']))));
$osms = abs(intval(htmlentities($db -> real_escape_string($_POST['obcom']))));
$oservic = abs(intval(htmlentities($db -> real_escape_string($_POST['oservic']))));
$ogame = abs(intval(htmlentities($db -> real_escape_string($_POST['ogame']))));
$zc = abs(intval(htmlentities($db -> real_escape_string($_POST['zc']))));
$db -> query("UPDATE `nastroiki` SET `obcom` = '".$obcom."',`oimg` = '".$oimg."',`zc` = '".$zc."',`ostat` = '".$ostat."',`osms` = '".$osms."',`oservic` = '".$oservic."',`ogame` = '".$ogame."'");
$diz -> head('Изменяем настройки');
$msg = '<div class="fon">Настройки системы ограничений изменены!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else header('location: index.php');
break;
////////////Бан
case 'ban':
$diz -> head('Админ-Панель');
$diz -> title('Бан пользователя');
if ($id) {
$sql = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$id."' LIMIT 1");
if ($sql -> num_rows == 0) {
$sql = $db -> query("SELECT `level`,`login`,`ip`, `browser` FROM `users` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$name = $sql -> fetch_assoc();
if ($ya['id']!=$id) {
if ($ya['level']>$name['level'] or $id==1) {
$type = array('id' => 'По id','ip' => 'По IP');
$times = array('600' => '10 минут','1800' => '30 минут','3600' => '1 час', '36000' => '10 часов', '86400' => '1 день', '604800' => '1 неделя', '2419200' => '1 месяц');
$seri = array('sys' => 'Глобальный','forum' => 'На форуме');
if (!isset($_POST['submit'])) {
$val = null;
foreach ($type as $key => $value) {
$val .= '<option value="'.$key.'">'.$value.'</option>';
}
$sr = null;
foreach ($seri as $key => $value) {
$sr .= '<option value="'.$key.'">'.$value.'</option>';
}
$vtime = null;
foreach ($times as $key => $value) {
$vtime .= '<option value="'.$key.'">'.$value.'</option>';
}
$msg .= '<div class="fon"><form action="./?do=ban&id='.$id.'" method="post"><div>
<strong>Юзер: '.$name['login'].' (id'.$id.')</strong></br>IP:'.$name['ip'].' </br>Браузер:'.strtok($name['browser'],' ').'<hr/>
Выберите тип:<br/><select name="type">'.$val.'</select><br/>
Время бана:<br/><select name="time">'.$vtime.'</select><br/>
Тип бана:<br/><select name="ser">'.$sr.'</select><br/>
Причина:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>
<input type="submit" name="submit" value="Банить"/>
</form></div>';
} else {
$ser = shit($_POST['ser']); 
$text = shit($_POST['text']); 
$tip = shit($_POST['type']); 
$time=abs(intval(htmlentities($db -> real_escape_string(time() + $_POST['time']))));
if($type=='ip'){
$ip=$name['ip'];
}else{$ip='';}
$db -> query("INSERT INTO `ban` set `yaid` = '".$ya['id']."',`iduser` = '".$id."',`type` = '".$tip."',`serius` = '".$ser."',`ip`='".$ip."',`text`='".$text."',`bantime`='".$time."',`time`='".time()."'");
if($ser=='sys'){
$db -> query("INSERT INTO `mail` set `oid` = '2',`fid` = '".$id."',`read` = 'no',`title` = 'Вы были забанены на сайте',`text`='Вы были забанены
 ".$ya['login']."`ом(ой).Доступ на сайт вам закрыт!',`time`='".time()."'");}else
 {$db -> query("INSERT INTO `mail` set `oid` = '2',`fid` = '".$id."',`read` = 'no',`title` = 'Вы были забанены на форуме',`text`='Вы были забанены
 $ya[login]`ом(ой).Доступ на форум вам закрыт!',`time`='".time()."'");}
 $msg .= '<div class="fon">'.$name['login'].' забанен</div>';
}
} else $msg .= '<div class="fon">Тех,кто старше тебя по должности банить запрещено!</div>';
} else $msg .= '<div class="fon">Самого себя забанить нельзя!</div>';
} else $msg .= '<div class="fon">Пользователя с этим id не существует</div>';
} else $msg .= '<div class="fon">Пользователь уже забанен!</div>';
} else $msg .= '<div class="fon">Не задан id пользователя</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//////Разбан
case 'razban':
$sql = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if($ya['level']>1){
if ($ya['level']>$name['level'] or $ya['id']==1) {
if ($ya['id']!=$id) {
if (!isset($_GET['true'])) {
$diz -> head('Разбан пользователя');
$diz -> title('Разбан пользователя');
$msg .= '<div class="fon">Вы точно хотите разбанить данного пользователя?<br/>
<a href="./?do=razban&amp;id='.$id.'&amp;true">Да</a> | <a href="../my/id'.$id.'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("DELETE FROM `ban` WHERE `iduser` = '".$id."' LIMIT 1");
$diz -> head('Разбан пользователя');
     $diz -> title('Разбан пользователя');
     $msg .= '<div class="fon">Пользователь был успешно разбанен!</div>';
     header('refresh: 2; index.php?id='.$ass['soo'].'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Самого себя разбанить нельзя!</div>';
     header('refresh: 1; url=../my/id'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);}
     }else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Произошла ошибка!</div>';
     header('refresh: 1; url=../my/id'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">У вас нет полномочий!</div>';
     header('refresh: 1; url=../my/id'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);}
} else header('location: ../my/id'.$id.'');
break;
//////Удаление
case 'del':
$sql = $db -> query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if($ya['level']>4){
if ($ya['id']!=$id) {
if (!isset($_GET['true'])) {
$diz -> head('Удаление пользователя');
$diz -> title('Удаление пользователя');
$msg .= '<div class="fon">Вы точно хотите удалить данного пользователя?<br/>
<a href="./?do=del&amp;id='.$id.'&amp;true">Да</a> | <a href="../my/id'.$id.'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("DELETE FROM `users` WHERE `id` = '".$id."' LIMIT 1");
$diz -> head('Удаление пользователя');
     $diz -> title('Удаление пользователя');
     $msg .= '<div class="fon">Поьзователь был успешно удалён!</div>';
     header('refresh: 2; url=../index.php');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Самого себя удалять запрещено!,<div>';
     header('refresh: 1; url=../my/id'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);}
}else{     $diz -> head('Ошибка');
$diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">У вас нет полномочий!</div>';
     header('refresh: 1; url=../my/id'.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);}
} else header('location: ../my/id'.$id.'');
break;
///////////////////////////
//     главная
//////////////////////////
default:
$diz -> head('Админ-Панель');
$diz -> title('Админка');
$msg.='<div class="fon">';
if ($ya['level'] == 7) {$msg .= $diz -> img('sys.png').'<a href="./?do=sys">Информация о движке</a><br/>';}
if ($ya['level'] == 7) {$msg .= $diz -> img('styles.png').'<a href="./?do=nastroiki">Настройки сайта</a><br/>';}
if ($ya['level'] == 7) {$msg .= $diz -> img('system.png').'<a href="styles.php">Стили сайта</a><br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('styles.png').'<a href="./?do=ogr">Ограничения</a><br/>';}
if ($ya['level'] > 5) {$msg .= $diz -> img('faq.png').'<a href="faq.php">Помощь(ЧЗВ)</a><br/>';}
if ($ya['level'] > 5) {$msg .= $diz -> img('styles.png').'<a href="./?do=balls">Балловая система</a><br/>';}
if ($ya['level'] > 5) {$msg .= $diz -> img('reklama.png').'<a href="?do=rass">Рассылки</a><br/>';}
if ($ya['level'] > 6) {$msg .= $diz -> img('reklama.png').'<a href="reklama.php">Управление рекламой</a><br/>';}
if ($ya['level'] > 3) {$msg .= $diz -> img('diary.png').'<a href="infa.php">Информация</a><br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('news.png').'<a href="./?do=news">Управление новостями</a><br/>';}
$status = $db -> dbcount('COUNT(`id`)','status');
if ($ya['level'] > 5) {$msg .= $diz -> img('status.png').'<a href="./status.php">Управление статусами</a> ('.$status.')<br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('f.png').'<a href="./forums.php">Управление форумом</a><br/>';
$msg .= $diz -> img('chat.png').'<a href="./chat.php">Управление чатом</a><br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('fo.png').'<a href="bots.php">Настройки ботов</a><br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('only.png').'<a href="./poisk.php">Админ-поиск</a><br/>';}
if ($ya['level'] > 4) {$msg .= $diz -> img('guest.png').'<a href="./guest.php">Управление гостевой</a><br/>';}
if ($ya['level'] > 1) {
$comes = $db -> dbcount('COUNT(`id`)','comes');
$comesnew = $db -> dbcount('COUNT(`id`)','comes',"`time` > ".(time()-86400)."");
if($comesnew>0){$newcom='<font color="red">+'.$comesnew.'</font>';}
$msg .= $diz -> img('guest.png').'<a href="./comes.php">Модерирование комментариев</a> ('.$comes.''.$newcom.')<br/>';}
$moduls = $db -> dbcount('COUNT(`id`)','menu');
if ($ya['level'] == 7) {$msg .= $diz -> img('modul.png').'<a href="./main.php">Дополнительные модули</a> ('.$moduls.')<br/>';}
$status = $db -> query("SELECT * FROM `nastroiki`")-> fetch_assoc();
if ($ya['level'] > 4) {
$array = array('1' => 'Закрытая', '2' => 'Открытая', '3' => 'По одобрению');
foreach ($array as $key => $value) {if ($nastr['rega'] == $key) $stat .= ''.$value.'';}
$msg .= $diz -> img('reg.png').'<a href="./?do=reg">Регистрация</a>: '.$stat.'</br>';
}
if ($ya['level'] > 2) {
$autno = $db -> dbcount('COUNT(`id`)','users',"`act`='no'");
$msg .= $diz -> img('people.png').'<a href="dopysk.php">Заявки на регистрацию</a> <b>('.$autno.')</b><br/>';}
$count = $db -> dbcount('COUNT(`id`)','users');
if ($ya['level'] > 3) {$msg .= $diz -> img('fo.png').'<a href="./?do=users">Пользователи</a> <b>('.$count.')</b><br/>';}
$msg .= '</div><div class="levo">'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else {
header('location: ../index.php');
}
?>